Main Page Widgets Namespaces Book

# Gtk::HScale Class Reference
[Widgets]

Inheritance diagram for Gtk::HScale:

[legend]

List of all members.

## Detailed Description

A horizontal slider for selecting values.

The Gtk::HScale widget is used to allow the user to select a value using a horizontal slider. See the Gtk::Scale documentation for more information on how to use a Gtk::HScale.

The HScale widget looks like this:

## Public Member Functions

const GtkHScale* | gobj () const
| Provides access to the underlying C GtkObject.
GtkHScale* | gobj ()
| Provides access to the underlying C GtkObject.
| HScale (Adjustment& adjustment)
| HScale (double min, double max, double step)
| Construct a HScale with the given minimum and maximum.
| HScale ()
virtual | ~HScale ()

## Related Functions

(Note that these are not member functions.)
Gtk::HScale* | wrap (GtkHScale* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gtk::HScale::~HScale | ( |  | ) | `[virtual]`

Gtk::HScale::HScale | ( |  | ) |

Gtk::HScale::HScale | ( | double | min,
|  | double | max,
|  | double | step |
| ) |  |  |

Construct a HScale with the given minimum and maximum.

The step size is the distance the slider moves when the arrow keys are used to adjust the scale value.

Gtk::HScale::HScale | ( | Adjustment& | adjustment | ) | `[explicit]`

## Member Function Documentation

const GtkHScale* Gtk::HScale::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Scale.

GtkHScale* Gtk::HScale::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Scale.

## Friends And Related Function Documentation

Gtk::HScale* wrap | ( | GtkHScale * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- scale.h